OCF_HEARTBEAT_PGAGEN(7)

NAME
ocf_heartbeat_pgagent - Controls pgagent

SYNOPSIS

pgagent [start | stop | monitor | meta-data | validate-all]

DESCRIPTION

This is a pgagent Resource Agent.

SUPPORTED PARAMETERS

connection_string
    Connection string for pgagent.

    (optional, string, default "user=postgres host=/var/run/postgresql")

user
    User to run pgagent as.

    (optional, string, default "postgres")

options
    Options for pgagent.

    (optional, string, default "-r 1 -t 1")

SUPPORTED ACTIONS

This resource agent supports the following actions (operations):

start
    Starts the resource. Suggested minimum timeout: 5s.

stop
    Stops the resource. Suggested minimum timeout: 5s.

monitor
    Performs a detailed status check. Suggested minimum timeout: 20s. Suggested interval: 10s.

meta-data
    Retrieves resource agent metadata (internal use only). Suggested minimum timeout: 5s.

validate-all
    Performs a validation of the resource configuration. Suggested minimum timeout: 5s.

EXAMPLE CRM SHELL

The following is an example configuration for a pgagent resource using the crm(8) shell:

    primitive p_pgagent ocf:heartbeat:pgagent \
      op monitor timeout="20s" interval="10s" depth="0"

EXAMPLE PCS

The following is an example configuration for a pgagent resource using pcs(8)

    pcs resource create p_pgagent ocf:heartbeat:pgagent \
      op monitor timeout="20s" interval="10s" depth="0"

SEE ALSO

http://clusterlabs.org/

AUTHOR

ClusterLabs contributors (see the resource agent source for information about individual authors)